Create a service account and associate it with a user
Create a service account with organization administrator privilege, i.e., the service account property_is_organization_admin_ must be true. Next, create a user with role privileges you would like to have the service account and associate the service account with the user.Use tokens for authentication
To authenticate Firebolt using the service accounts with the properties as described above via Firebolt’s REST API, send the following request to receive an authentication token:
Response
- The
access_tokenis a unique token that authorizes your API requests that acts as a temporary key to access resources or perform actions. You can use this token to authenticate with Firebolt’s platform until it expires. - The
token_typeisBearer, which means that the access token must be included in an authorization header of your API requests using the format:Authorization: Bearer <access_token>. - The token
expires_inindicates the number of seconds until the token expires.
Get the account gateway URL
Use the following endpoint to return the account gateway URL for<account name>.
https://api.app.firebolt.io/web/v3/account/my-account/engineUrl
Response
information_schema.engines) and for DDL that does not target a specific user engine.
Get a user engine URL
Get a user engine URL by running the following query against theinformation_schema.engines table:
Execute a query on a user engine
Use the following endpoint to run a query on a user engine:Queries are per request. To run multiple statement queries, separate queries each into one request.
API limits
Request Size Limits
By default, Firebolt enforces a request size limit of 2 MiB per query on user engines. If you exceed this limit, you will get an error like:- Requests above 2 MiB will not be retried internally after transient network errors.
- Requests above 2 MiB will not be included in online upgrade verification.